capitalize {R.utils} | R Documentation

## Capitalizes/decapitalizes each character string in a vector

### Description

Capitalizes/decapitalized (making the first letter upper/lower case) of each character string in a vector.

### Usage

      ## Default S3 method:
    capitalize(str, ...)
      ## Default S3 method:
    decapitalize(str, ...)

### Arguments

`str` | A `vector` of `character` strings to be capitalized.
`...` | Not used.

### Value

Returns a `vector` of `character` strings of the same length as the input vector.

### Author(s)

Henrik Bengtsson

### See Also

`toCamelCase`.

### Examples

    words <- strsplit("Hello wOrld", " ")[[1]];
    cat(paste(toupper(words), collapse=" "), "\n")      # "HELLO WORLD"
    cat(paste(tolower(words), collapse=" "), "\n")      # "hello world"
    cat(paste(capitalize(words), collapse=" "), "\n")   # "Hello WOrld"
    cat(paste(decapitalize(words), collapse=" "), "\n") # "hello wOrld"

    # Sanity checks
    stopifnot(paste(toupper(words), collapse=" ") == "HELLO WORLD")
    stopifnot(paste(tolower(words), collapse=" ") == "hello world")
    stopifnot(paste(capitalize(words), collapse=" ") == "Hello WOrld")
    stopifnot(paste(decapitalize(words), collapse=" ") == "hello wOrld")

[Package R.utils version 2.6.0 Index]